## segment geospatial-0.10.7

=== requirements.txt ===
gdown
geopandas
huggingface_hub
leafmap
localtileserver
matplotlib
opencv-python-headless
patool
pycocotools
pyproj
rasterio
segment-anything-hq
segment-anything-py
timm
tqdm
xarray
xyzservices

## segment 1.4.2

=== debian/changelog ===
segment (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 17 (Closes: #1011172)
  * Standards-Version updated to 4.6.2
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 05 Feb 2023 23:55:04 +0100

segment (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * Package adopted by the Java Team
  * Fixed the build failure with Java 11 (Closes: #912391)
  * New upstream release
    - Refreshed the patches
    - Build with Maven instead of Ant
    - No longer depend on libcommons-cli-java
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Switch to source format 3.0 (quilt)
  * Updated the Homepage field
  * Updated debian/copyright to the Copyright Format 1.0
  * Added a watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Sep 2019 11:49:38 +0200

segment (1.3.5~svn57+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules,control
    - switch to default-jdk (Closes: #642792)

 -- Hideki Yamane <henrich@debian.org>  Tue, 24 Jan 2012 03:33:44 +0900

segment (1.3.5~svn57+dfsg-1) unstable; urgency=low

  * New upstream version

 -- Rail Aliev <rail@i-rs.ru>  Tue, 17 Nov 2009 09:41:39 +0300

segment (1.2.2~svn58+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Repack the upstream tarball.
    - debian/rules:
      - Don't remove XML schema needed by the library.
  * debian/copyright:
    - Use DEP 5 format.
  * debian/patches/build.xml.diff:
    - Prevent modification of build.number file by removing <buildnumber/>.
  * Bump standards version. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Sun, 30 Aug 2009 18:59:33 +0400

segment (1.2.2~svn44+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #534048)

 -- Rail Aliev <rail@i-rs.ru>  Wed, 26 Aug 2009 08:29:16 +0400

=== debian/control ===
Source: segment
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Rail Aliev <rail@i-rs.ru>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 junit4,
 libcommons-logging-java,
 libmaven-jaxb2-plugin-java,
 maven-debian-helper
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/segment.git
Vcs-Browser: https://salsa.debian.org/java-team/segment
Homepage: https://loomchild.net/tag/segment/

Package: libsegment-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: Rule based text splitting library
 Segment library is used to split text into segments, for example sentences.
 Splitting rules are read from SRX file, which is standard format for this
 task.

=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://github.com/loomchild/segment/tags .*/([\d\.]+).tar.gz
